Page MenuHomePhabricator

Promote mobile.preferredLanguages module to stable
Closed, ResolvedPublic2 Story Points

Description

Acceptance Criteria
  • Make sure the code is up to scratch
  • Merge the mobile.preferredLanguages and mobile.languages modules
  • Tidy up after yerself
  • Documentate feature on mediawiki.org

Event Timeline

phuedx created this task.May 20 2015, 6:45 PM
phuedx raised the priority of this task from to Needs Triage.
phuedx updated the task description. (Show Details)
phuedx added a subscriber: phuedx.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2015, 6:45 PM
phuedx updated the task description. (Show Details)May 20 2015, 6:48 PM
phuedx set Security to None.
phuedx renamed this task from Promote mobile.preferredLanguages module to stable to (3) Promote mobile.preferredLanguages module to stable.May 20 2015, 6:50 PM
KLans_WMF renamed this task from (3) Promote mobile.preferredLanguages module to stable to Promote mobile.preferredLanguages module to stable.Jun 3 2015, 6:26 PM
KLans_WMF edited a custom field.

@jdlrobson--the question of pushing this directly to stable came up, but I don't know what this feature is (it is not what I thought it was), as I can't access it. Can you point us to a description of feature? and or instructions for surfacing impact?

KLans_WMF updated the task description. (Show Details)Jun 8 2015, 4:44 PM
Jdlrobson updated the task description. (Show Details)Jun 8 2015, 4:44 PM
KLans_WMF edited a custom field.Jun 8 2015, 4:45 PM
Jdlrobson claimed this task.Jun 9 2015, 8:44 PM
Jdlrobson moved this task from To Do to Doing on the Mobile-Web-Sprint-49-Wayne's-World board.

Change 217164 had a related patch set uploaded (by Jdlrobson):
Show preferred/most used languages at top of language overlay

https://gerrit.wikimedia.org/r/217164

@jdlrobson--the question of pushing this directly to stable came up, but I don't know what this feature is (it is not what I thought it was), as I can't access it. Can you point us to a description of feature? and or instructions for surfacing impact?

Ping @Jdlrobson.

@JKatzWMF: I think Phabricator's markup parser is including the "--the" from @Jdlrobson--the in the username.

@JKatzWMF : This feature orders the language overlay by most used languages. This ordering is generated based on usage of the site. Every time a user visits a language, we keep a record locally to the device for that language. So if I continually switch to Spanish from English and vice versa English and Spanish will appear at the top of the languages list.

This came up as a request recently from @KHammerstein on T97824

There is no description of the feature as it is an enhancement of the existing languages feature.
Note: in future there is potential to target wikigrok style messages to users we know are bilingual. Maybe a possible collaboration with the language engineering team.

The test removed by this patch is causing issues to other devs in T102674

Change 217164 merged by jenkins-bot:
Show preferred/most used languages at top of language overlay

https://gerrit.wikimedia.org/r/217164

phuedx closed this task as Resolved.Jun 19 2015, 7:20 PM

Verified this locally.